#
# spec file for package e2fsprogs (Version 1.24a)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         e2fsprogs
Copyright:    Remy Card, Theodore Ts'o
Group:        System Environment/Base
Provides:     e2fsbn ext2fs
Obsoletes:    ext2fs
Autoreqprov:  on
Version:      1.24a
Release:      26
Summary:      Utilities for the second and third extended file system
Url:          http://e2fsprogs.sourceforge.net
Source:       %{name}-%{version}.tar.bz2
Patch:        owner_change.diff
Patch1:       elf.diff
Patch2:       BSD_disklabels.diff
Patch3:       fsck-errormsg-basedev.diff
Patch4:       ac-require.diff
Patch5:       ld_library_path.diff
Patch6:       mke2fs_buffer.diff
BuildRoot:    %{_tmppath}/%{name}-root

%description
Utilities needed to create and maintain ext2 and ext3 filesystems
under Linux. Included in this package are: chattr, lsattr, mke2fs,
mklost+found, tune2fs, e2fsck, resize2fs and badblocks.

Authors:
--------
    Remy Card <card@masi.ibp.fr>
    Theodore Ts'o <tytso@mit.edu>

SuSE series: a

%package devel
Summary:      Ext2 filesystem-specific libraries and headers
Group:       Development/Libraries
Autoreqprov: on
Obsoletes:   ext2fs_d
Provides:    ext2fs_d
Requires:    e2fsprogs

%description devel
This package contains the libraries and header files needed to
develop second extended (ext2) filesystem-specific programs.

Authors:
--------
    Remy Card <card@masi.ibp.fr> 
    Theodore Ts'o <tytso@mit.edu>

SuSE series: d

%prep
%setup
%patch -p1
%patch1 -p1
%patch2
# %patch3 -p1
%patch4
%patch5
%patch6

%build
%{?suse_update_config:%{suse_update_config -f}}
# Patch4 changes configure.in, so rebuild configure
autoconf
CFLAGS="$RPM_OPT_FLAGS -W -Wall -Wstrict-prototypes -Wpointer-arith -Wwrite-strings -Wcast-align -O2 -pipe" \
  ./configure --enable-dynamic-e2fsck --prefix=/usr --with-root-prefix=''\
	--mandir=%{_mandir} --infodir=%{_infodir} --enable-elf-shlibs
make
make check
make gcc-wall

%install
#rm -rf $RPM_BUILD_ROOT
#find /var /usr /sbin | sort > filelist1
make install install-libs DESTDIR=$RPM_BUILD_ROOT
#find /var /usr /sbin | sort > filelist2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc RELEASE-NOTES
/sbin/badblocks
/sbin/debugfs
/sbin/dumpe2fs
/sbin/e2fsck
#/sbin/flushb
/sbin/e2label
/sbin/fsck
/sbin/fsck.ext2
/sbin/fsck.ext3
/sbin/mke2fs
/sbin/mkfs.ext2
/sbin/resize2fs
/sbin/tune2fs
/usr/bin/chattr
/usr/bin/lsattr
/usr/bin/uuidgen
/lib/libcom_err.so.*
/lib/libe2p.so.*
/lib/libext2fs.so.*
/lib/libss.so.*
/lib/libuuid.so.*
%doc %{_infodir}/libext2fs.info.gz
%doc %{_mandir}/man1/chattr.1.gz
%doc %{_mandir}/man1/lsattr.1.gz
%doc %{_mandir}/man1/uuidgen.1.gz
%doc %{_mandir}/man8/*.8.gz
/usr/sbin/mklost+found

%files devel
/usr/bin/compile_et
/usr/bin/mk_cmds
/usr/lib/libcom_err.a
/usr/lib/libe2p.a
/usr/lib/libext2fs.a
/usr/lib/libss.a
/usr/lib/libuuid.a
/usr/lib/libcom_err.so
/usr/lib/libe2p.so
/usr/lib/libext2fs.so
/usr/lib/libss.so
/usr/lib/libuuid.so
/usr/share/et
/usr/share/ss
/usr/include/e2p
/usr/include/et
/usr/include/ext2fs
/usr/include/ss
/usr/include/uuid
%doc %{_mandir}/man1/compile_et.1.gz
%doc %{_mandir}/man3/*.3.gz

%changelog -n e2fsprogs
* Mon Sep 24 2001 - olh@suse.de
- replace ext2fs_d
* Fri Sep 21 2001 - pthomas@suse.de
- Add patch for mke2fs from 1.25 as that bug seems to be the
  reason for the mk_initrd warning.
* Wed Sep 12 2001 - pthomas@suse.de
- Update to 1.24a:
- Fix brown-paper bug in mke2fs which caused it to segfault.
- Revert the BLKGETSIZE64 support as this ioctl has been used
  by an unofficial kernel patch to update the last sector on
  the disk, and this was causing disk corruption problems as a
  result.
- Mke2fs is now more careful about zapping swap space signatures
  and other filesystem/raid superblock magic values so.
- E2fsck will no longer complain if the the mode of
  EXT2_RESIZE_INO is a regular file
- mke2fs and tune2fs will allow the use of UUID= or LABEL=
  specifiers when specifying the external journal device.
  tune2fs will also search devices looking for the external
  journal device when removing.
* Fri Aug 17 2001 - ro@suse.de
- update to 1.23 to enable external journals on ext3
* Wed Aug 15 2001 - pthomas@suse.de
- Update to 1.22.
- Drop fsck Patch as code changed.
- Use LD_LIBRARY_PATH to run test programs.
* Fri Jun 08 2001 - pthomas@suse.de
- Remove incorrect use of AC_REQUIRE (fails with autoconf 2.5)
- Recompress tarball with bzip2.
* Thu Jan 18 2001 - schwab@suse.de
- Add Obsoletes: ext2fs_d and Requires: e2fsprogs to devel
  subpackage.
* Mon Nov 06 2000 - pthomas@suse.de
- use _mandir and _infodir more consistently in spec file.
* Sun Nov 05 2000 - ro@suse.de
- renamed packages to e2fsprogs/e2fsprogs-devel
* Fri Jun 09 2000 - kasal@suse.cz
- Build dynamic libraries.  Partition Surprise requires them.
- Make /usr/lib/*.so symlinks relative.
* Thu Mar 23 2000 - kukuk@suse.de
- Don't erase BSD labels on Alpha
- Add Y2K fix to debugfs
* Wed Mar 22 2000 - kukuk@suse.de
- Fix ifdefs for gcc 2.95.2
* Tue Feb 22 2000 - garloff@suse.de
- Bugfix for the change ...
- ... and change version no of fsck to 1.18a to reflect the change.
* Sun Feb 20 2000 - garloff@suse.de
- Patch to be more clever WRT to basenames (used to find out wheter
  a fsck for this device is already running).
- Give better message in case fsck fails, to tell the user what to
  do. (e2fsck only displays the label, nowadays :-( )
* Thu Feb 10 2000 - kukuk@suse.de
- Use autoconf to create new configure
* Wed Jan 19 2000 - ro@suse.de
- man,info -> /usr/share
* Mon Jan 17 2000 - ro@suse.de
- fixed to build on kernels >= 2.3.39
* Sat Nov 13 1999 - kukuk@suse.de
- Update to e2fsprogs 1.18
- Create new sub-package ext2fs_d which includes libs and headers
* Mon Nov 08 1999 - ro@suse.de
-fixed coredump in e2fsck
* Fri Oct 29 1999 - ro@suse.de
-e2fsprogs: 1.17 vital bugfix in e2fsck
* Sun Oct 24 1999 - ro@suse.de
- e2fsprogs: update to 1.16, sparse_super is default on when
  called on a > 2.2 kernel, can be overridden with -O none
* Fri Oct 15 1999 - garloff@suse.de
- Disabled flushb again. (Moved to ddrescue.)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 01 1999 - ro@suse.de
- mke2fs: sparse superblocks default back to "off"
* Tue Aug 31 1999 - ro@suse.de
- update to 1.15
- cleanup diff and specfile
* Sun Jul 18 1999 - garloff@suse.de
- Enabled flushb compilation
* Sat Jun 26 1999 - kukuk@suse.de
- Add fix for fsck core dump from beta list
* Tue Mar 16 1999 - ro@suse.de
- fixed configure call
* Fri Mar 12 1999 - ro@suse.de
- update to 1.14
* Thu Oct 29 1998 - ro@suse.de
- respect change in 2.1.126 SCSI_DISK_MAJOR
* Tue Sep 01 1998 - ro@suse.de
- update to 1.12
* Sat Apr 26 1997 - florian@suse.de
- update to new version 1.10
* Sun Apr 13 1997 - florian@suse.de
- update to new version 1.08
- do not include ext2 libs and include files as they are only used by dump
* Thu Jan 02 1997 - florian@suse.de
- update to new version 1.06
* Thu Jan 02 1997 - florian@suse.de
- update to newer version
- use now static libs instead of 4 small shared libs
* Thu Jan 02 1997 - florian@suse.de
  update to version 1.0.4
